Commit c5e45a4506ecfe74e55c062065e0d74428c4fa57

Thomas de Grivel 2023-02-18T17:35:36

wip ci

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
diff --git a/share/shpkg/shpkg.subr b/share/shpkg/shpkg.subr
index 93d07cd..0a6d86d 100644
--- a/share/shpkg/shpkg.subr
+++ b/share/shpkg/shpkg.subr
@@ -1,7 +1,7 @@
 #!/bin/sh
 # Copyright 2023 Thomas de Grivel <thodg@kmx.io>
 
-set -e
+set -e -o pipefail
 
 # Config
 
@@ -91,7 +91,6 @@ err () {
 shpkg_log () {
     SHPKG_NAME="$1"
     shift
-    set -o pipefail
     shpkg_start_logging "${SHPKG_NAME}"
     shpkg_redirect_err "$@" | tee -a "${SHPKG_LOG}"
 }